diff -Nru dlocate-1.07/debian/changelog dlocate-1.07+nmu1/debian/changelog
--- dlocate-1.07/debian/changelog	2016-07-02 16:21:01.000000000 +0200
+++ dlocate-1.07+nmu1/debian/changelog	2017-01-22 09:59:23.000000000 +0100
@@ -1,3 +1,11 @@
+dlocate (1.07+nmu1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Skip cronjob if dlocate is no longer installed.  (Closes: #829473)
+  * Add missing build-{arch,indep} targets.
+
+ -- Andreas Beckmann <anbe@debian.org>  Sun, 22 Jan 2017 09:59:23 +0100
+
 dlocate (1.07) unstable; urgency=medium
 
   * updated VERSION_BANNER
diff -Nru dlocate-1.07/debian/control dlocate-1.07+nmu1/debian/control
--- dlocate-1.07/debian/control	2016-06-21 05:49:19.000000000 +0200
+++ dlocate-1.07+nmu1/debian/control	2017-01-22 09:55:20.000000000 +0100
@@ -7,7 +7,7 @@
 
 Package: dlocate
 Architecture: all
-Depends: dctrl-tools | grep-dctrl (>= 0.11), util-linux, dpkg (>= 1.8.0), ${perl:Depends}
+Depends: dctrl-tools | grep-dctrl (>= 0.11), util-linux, dpkg (>= 1.8.0), ${perl:Depends}, ${misc:Depends}
 Description: fast alternative to dpkg -L and dpkg -S 
  Uses GNU grep and text dumps of dpkg's data to greatly speed up finding out which
  package a file belongs to (i.e. a very fast dpkg -S). Many other uses,
diff -Nru dlocate-1.07/debian/cron.daily dlocate-1.07+nmu1/debian/cron.daily
--- dlocate-1.07/debian/cron.daily	2016-06-21 05:49:19.000000000 +0200
+++ dlocate-1.07+nmu1/debian/cron.daily	2017-01-22 09:44:21.000000000 +0100
@@ -1,4 +1,6 @@
 #! /bin/sh
 
+test -x /usr/sbin/update-dlocatedb || exit 0
+
 # update databases for both files and packages.
 /usr/sbin/update-dlocatedb -b
diff -Nru dlocate-1.07/debian/postrm dlocate-1.07+nmu1/debian/postrm
--- dlocate-1.07/debian/postrm	2016-06-21 05:49:19.000000000 +0200
+++ dlocate-1.07+nmu1/debian/postrm	2017-01-22 09:50:41.000000000 +0100
@@ -1,4 +1,6 @@
-#!/bin/sh -e
+#!/bin/sh
+set -e
+
 if [ "$1" = "purge" ]; then
         rm -f /var/lib/dlocate/* 
         rmdir /var/lib/dlocate/
diff -Nru dlocate-1.07/debian/rules dlocate-1.07+nmu1/debian/rules
--- dlocate-1.07/debian/rules	2016-06-21 05:49:19.000000000 +0200
+++ dlocate-1.07+nmu1/debian/rules	2017-01-22 09:52:42.000000000 +0100
@@ -4,6 +4,8 @@
 # Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
 # Some lines taken from debmake, by Christoph Lameter.
 
+build-arch: build-stamp
+build-indep: build-stamp
 build: build-stamp
 build-stamp:
 	dh_testdir
